foreman-installer should be able to work with puppet enterprise

02/27/2015 06:10 PM - Corey Osman
Assignee:    
Description

The foreman installer currently install its own version of puppet (minimum of 2.7) even though PE is already installed. The RPM spec

should not install the puppet open source if puppet enterprise is installed.

There needs to be some conditional logic around the dependency.

https://github.com/theforeman/foreman-packaging/blob/rpm/develop/foreman-installer/foreman-installer.spec#L26

Puppet Enterprise buts the puppet binary in /opt/puppet/bin/

Related issues:

Related to Foreman - Tracker #8447: Puppet 4 support Closed 11/19/2014

Is duplicate of Installer - Bug #9803: unable to use the installer on a syste... Rejected 03/18/2015

History

#1 - 02/27/2015 06:10 PM - Corey Osman

- Subject changed from foreman-install should be able to work with puppet enterprise to foreman-installer should be able to work with puppet

enterprise

#2 - 03/02/2015 04:33 AM - Dominic Cleal

Yeah, I'm not aware of any way to do this unless PE can "provide" something that's identical to the OSS version.  We'll also need to change the smart

proxy and other things so they can load the PE version... this might be easier once we do the Puppet 4 work in #8447 as the Puppet 4 packaging is

very similar to PE.

#3 - 03/02/2015 04:33 AM - Dominic Cleal

- Related to Tracker #8447: Puppet 4 support added

#4 - 05/20/2017 05:30 AM - Anonymous

This should be much easier now with Aio packages being supported, just somebody needs to do it (mainly Pupet module work)

#5 - 05/20/2017 05:45 AM - Anonymous

- Is duplicate of Bug #9803: unable to use the installer on a system with puppet pe added

#6 - 05/20/2017 05:46 AM - Anonymous

- Status changed from New to Duplicate
